%define languageenglazy Lithuanian
%define languagecode    lt
%define lc_ctype        lt_LT

Name:           hunspell-%{languagecode}
Version:        1.2.1
Release:        %mkrel 15
Summary:        %{languageenglazy} hunspell dictionaries
License:        BSD
Group:          System/Internationalization
URL:            ftp://ftp.akl.lt/ispell-lt/
Source0:        ftp://ftp.akl.lt/ispell-lt/lt_LT-%{version}.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-lt
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n lt_LT-%{version}

%build
chmod -x *
for i in INSTRUKCIJOS.txt; do
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README.EN INSTRUKCIJOS.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 1.2.1-15.mga6
+ Revision: 935751
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-14.mga5
+ Revision: 743889
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-13.mga5
+ Revision: 680268
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-12.mga4
+ Revision: 505817
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-11.mga3
+ Revision: 353543
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.2.1-10.mga3
+ Revision: 325590
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.2.1-9.mga2
+ Revision: 224732
- add requirement on locales (mga#4632)

* Tue Feb 14 2012 kamil <kamil> 1.2.1-8.mga2
+ Revision: 208522
- use better obsoleting of myspell
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1.2.1-6.mga1
+ Revision: 68919
- imported package hunspell-lt


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 1.2.1-4
- clean spec

* Fri Jul 10 2009 Caolan McNamara <caolanm@redhat.com> - 1.2.1-3
- clean spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 20 2008 Caolan McNamara <caolanm@redhat.com> - 1.2.1-1
- latest version

* Sat Feb 16 2008 Caolan McNamara <caolanm@redhat.com> - 1.2-1
- next version

* Tue Jun 05 2007 Caolan McNamara <caolanm@redhat.com> - 1.1-1.20070510cvs
- next version

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 1.1-1.20061127cvs
- initial version
